# See the loader file for license and author info

module CLF_Extensions_NS
	module CLF_Camera_Recorder
    require 'sketchup.rb'
    require NAME+'/'+NAME+'_data.rb'
  end

  if !file_loaded?('clf_menu2_loader')
    @@clf_tools_menu = UI.menu("Plugins").add_submenu("Chris Fullmer Tools")
  end
    
	#------New menu Items---------------------------
	if !file_loaded?('clf_ew_loader')
		@@clf_ew_menu = @@clf_tools_menu.add_submenu("-=Extension Warehouse=-")
    @@clf_ew_menu.add_separator
		@@clf_ew_menu.add_item("My Extension Warehouse Store"){UI.openURL "http://extensions.sketchup.com/user/46/store"}
    @@clf_tools_menu.add_separator
    @@clf_ew_menu.add_separator
	end
    @@clf_ew_menu.add_item(CLF_Camera_Recorder::MENU_NAME+" Page"){UI.openURL "http://extensions.sketchup.com/content/clf-camera-recorder"}
	#------------------------------------------------
    
  if !file_loaded?(__FILE__)

    clf_cam_ob = CLF_Camera_Recorder::get_obs
    cam_recorder_sub_menu = @@clf_tools_menu.add_submenu("Camera Recorder") 
    
		toolbar = UI::Toolbar.new(CLF_Camera_Recorder::MENU_NAME)

    cmd1 = UI::Command.new("Start Recording") do 
      Sketchup.active_model.active_view.add_observer(clf_cam_ob)
      clf_cam_ob.record
    end
    cam_recorder_sub_menu.add_item cmd1   
    cmd1.small_icon = "./images/green_16.png"
    cmd1.large_icon = "./images/green_24.png"
    cmd1.tooltip = "Start Recording"    
    toolbar = toolbar.add_item cmd1    
    
    cmd2 = UI::Command.new("Stop Recording") { clf_cam_ob.stop_rec }
    cam_recorder_sub_menu.add_item cmd2    
    cmd2.small_icon = "./images/red_16.png"
    cmd2.large_icon = "./images/red_24.png"   
    cmd2.tooltip = "Stop Recording"   
    toolbar = toolbar.add_item cmd2   
    
    cmd3 = UI::Command.new("Erase Recording") { clf_cam_ob.clear_rec }
    cam_recorder_sub_menu.add_item cmd3    
    cmd3.small_icon = "./images/x_16.png"
    cmd3.large_icon = "./images/x_24.png"   
    cmd3.tooltip = "Erase Recording"   
    toolbar = toolbar.add_item cmd3    
       
    cmd4 = UI::Command.new("Export Recording") { clf_cam_ob.export }
    cam_recorder_sub_menu.add_item cmd4   
    cmd4.small_icon = "./images/movie_16.png"
    cmd4.large_icon = "./images/movie_24.png"
    cmd4.tooltip = "Export Recording"
    toolbar = toolbar.add_item cmd4
    
    cmd5 = UI::Command.new("Play Animation") { Sketchup.active_model.active_view.animation = clf_cam_ob.animate }
    cam_recorder_sub_menu.add_item cmd5
    cmd5.small_icon = "./images/player_play-16.png"
    cmd5.large_icon = "./images/player_play-24.png"
    cmd5.tooltip = "Play Animation"
    toolbar = toolbar.add_item cmd5
    
    cmd6 = UI::Command.new("Create Curve") { clf_cam_ob.draw_curve }
    cam_recorder_sub_menu.add_item cmd6
    cmd6.small_icon = "./images/1_16.png"
    cmd6.large_icon = "./images/1_24.png"
    cmd6.tooltip = "Create Curve"
    toolbar = toolbar.add_item cmd6

    
    state = toolbar.get_last_state 
    if (state == TB_VISIBLE)
        toolbar.restore
        # Per bug 2902434, adding a timer call to restore the toolbar. This
        # fixes a toolbar resizing regression on PC as the restore() call
        # does not seem to work as the script is first loading.
        UI.start_timer(0.1, false) {
          toolbar.restore
        }
    end 

  end
    
  file_loaded('clf_ew_loader')    
  file_loaded('clf_menu2_loader')
  file_loaded(__FILE__)
end